# C++ Lidar Lite driver

Driver for Garmin Lidar Lite v3.

### Hardware configuration

This library provides quick access to all the basic functions of LIDAR-Lite using an USB-I2C communications module. 

For detailed specifications, pinout, and connection diagrams, please refer to the following manuals.

- [Lidar Lite V3](http://static.garmin.com/pumac/LIDAR_Lite_v3_Operation_Manual_and_Technical_Specifications.pdf) (I2C connection diagrams)
- [USB-I2C module](http://www.robot-electronics.co.uk/htm/usb_i2c_tech.html)

### Software dependencies

- [iriutils](https://devel.iri.upc.edu/pub/labrobotica/drivers/iriutils/trunk) - IRI C++ library

  - Download the library: `svn co https://devel.iri.upc.edu/pub/labrobotica/drivers/iriutils/trunk iriutils`
  - Compile and install: `cd iriutils/build && cmake -D CMAKE_BUILD_TYPE=RELEASE .. && make && sudo make install`

- [comm](https://devel.iri.upc.edu/pub/labrobotica/drivers/comm/trunk) - IRI C++ library

  - Download the library: `svn co https://devel.iri.upc.edu/pub/labrobotica/drivers/comm/trunk comm`
  - Compile and install: `cd comm/build && cmake -D CMAKE_BUILD_TYPE=RELEASE .. && make && sudo make install`

- [usb_i2c_adapter](https://devel.iri.upc.edu/pub/labrobotica/drivers/usb_i2c_adapter/trunk) - IRI C++ library

  - Download the library: `svn co https://devel.iri.upc.edu/pub/labrobotica/drivers/usb_i2c_adapter/trunk usb_i2c_adapter`
  - Compile and install: `cd usb_i2c_adapter/build && cmake -D CMAKE_BUILD_TYPE=RELEASE .. && make && sudo make install`

### Installation

- Clone the repository: `git clone https://gitlab.iri.upc.edu/asantamaria/LidarLite.git && git checkout v0.1`
- Install:	`cd LidarLite/build && cmake -D CMAKE_BUILD_TYPE=RELEASE .. && make && sudo make install`

### Example of usage

- Run `/bin/./lidar_lite_test`.

- Checkout [iri_lidar_lite](https://gitlab.iri.upc.edu/asantamaria/iri_lidar_lite) project to use this library within ROS framework.

### Support material and multimedia

Please, visit: [**asantamaria's web page**](http://www.iri.upc.edu/people/asantamaria)